apiVersion: kubeadm.k8s.io/v1beta4
kind: InitConfiguration
bootstrapTokens:
  - token: "%BOOTSTRAP_TOKEN%"
    ttl: 24h0m0s
localAPIEndpoint:
  # The --apiserver-advertise-address flag does not support dual-stack.
  advertiseAddress: "%LOCAL_EP%"
  bindPort: %BIND_PORT%
nodeRegistration:
  criSocket: "unix:///run/containerd/containerd.sock"
  kubeletExtraArgs:
  - name: node-ip
    value: "%LOCAL_IPS%"
---
apiVersion: kubeadm.k8s.io/v1beta4
kind: ClusterConfiguration
networking:
  podSubnet: "%POD_SUBNETS%"
  serviceSubnet: "%SVC_SUBNETS%"
controlPlaneEndpoint: "%CP_ENDPOINT%"
apiServer:
  extraArgs:
    - name: enable-admission-plugins
      value: "NodeRestriction"
---
apiVersion: kubeproxy.config.k8s.io/v1alpha1
kind: KubeProxyConfiguration
clusterCIDR: "%POD_SUBNETS%"
#mode: "%KUBE_PROXY_MODE%"
